diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/dot11s-mac-header.h ns-3.44/src/mesh/model/dot11s/dot11s-mac-header.h
--- ns-3.43/src/mesh/model/dot11s/dot11s-mac-header.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/dot11s-mac-header.h	2025-03-09 16:55:49.635372000 -0700
@@ -17,9 +17,9 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Mesh Control field, see Section 8.2.4.7.3 IEEE 802.11-2012
+ * @brief Mesh Control field, see Section 8.2.4.7.3 IEEE 802.11-2012
  *
  * Header format: | Mesh flags: 1 | TTL: 1 | Sequence number: 4 | Address ext.: 0, 6, or 12 |
  */
@@ -29,8 +29,8 @@
     MeshHeader();
     ~MeshHeader() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -38,43 +38,43 @@
 
     /**
      * Set extended address 4
-     * \param address the MAC address to set
+     * @param address the MAC address to set
      */
     void SetAddr4(Mac48Address address);
     /**
      * Set extended address 5
-     * \param address the MAC address
+     * @param address the MAC address
      */
     void SetAddr5(Mac48Address address);
     /**
      * Set extended address 6
-     * \param address the MAC address
+     * @param address the MAC address
      */
     void SetAddr6(Mac48Address address);
     /**
      * Get extended address 4
-     * \returns the MAC address
+     * @returns the MAC address
      */
     Mac48Address GetAddr4() const;
     /**
      * Get extended address 5
-     * \returns the MAC address
+     * @returns the MAC address
      */
     Mac48Address GetAddr5() const;
     /**
      * Get extended address 6
-     * \returns the MAC address
+     * @returns the MAC address
      */
     Mac48Address GetAddr6() const;
 
     /**
      * Set four-byte mesh sequence number
-     * \param seqno the sequence number to set
+     * @param seqno the sequence number to set
      */
     void SetMeshSeqno(uint32_t seqno);
     /**
      * Get the four-byte mesh sequence number
-     * \returns the sequence number
+     * @returns the sequence number
      */
     uint32_t GetMeshSeqno() const;
 
@@ -82,23 +82,23 @@
      * Set mesh TTL subfield corresponding to the remaining number of hops
      * the MSDU/MMPDU is forwarded.
      *
-     * \param TTL the TTL value to set
+     * @param TTL the TTL value to set
      */
     void SetMeshTtl(uint8_t TTL);
     /**
      * Get mesh TTL function subfield value
-     * \returns the TTL value
+     * @returns the TTL value
      */
     uint8_t GetMeshTtl() const;
 
     /**
      * Set Address Extension Mode
-     * \param num_of_addresses value between 0 and 3 for the two-bit field
+     * @param num_of_addresses value between 0 and 3 for the two-bit field
      */
     void SetAddressExt(uint8_t num_of_addresses);
     /**
      * Get Address Extension Mode
-     * \returns the address extension mode value
+     * @returns the address extension mode value
      */
     uint8_t GetAddressExt() const;
 
@@ -116,9 +116,9 @@
     /**
      * equality operator
      *
-     * \param a left hand side
-     * \param b right hand side
-     * \returns true if equal
+     * @param a left hand side
+     * @param b right hand side
+     * @returns true if equal
      */
     friend bool operator==(const MeshHeader& a, const MeshHeader& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/hwmp-protocol.h ns-3.44/src/mesh/model/dot11s/hwmp-protocol.h
--- ns-3.43/src/mesh/model/dot11s/hwmp-protocol.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/hwmp-protocol.h	2025-03-09 16:55:49.635372000 -0700
@@ -48,17 +48,17 @@
 };
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Hybrid wireless mesh protocol -- a mesh routing protocol defined
+ * @brief Hybrid wireless mesh protocol -- a mesh routing protocol defined
  * in IEEE 802.11-2012 standard.
  */
 class HwmpProtocol : public MeshL2RoutingProtocol
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -72,7 +72,7 @@
     void DoDispose() override;
 
     /**
-     * \brief structure of unreachable destination - address and sequence number
+     * @brief structure of unreachable destination - address and sequence number
      */
     struct FailedDestination
     {
@@ -83,13 +83,13 @@
     /**
      * Route request, inherited from MeshL2RoutingProtocol
      *
-     * \param sourceIface the source interface
-     * \param source the source address
-     * \param destination the destination address
-     * \param packet the packet to route
-     * \param protocolType the protocol type
-     * \param routeReply the route reply
-     * \returns true if route exists
+     * @param sourceIface the source interface
+     * @param source the source address
+     * @param destination the destination address
+     * @param packet the packet to route
+     * @param protocolType the protocol type
+     * @param routeReply the route reply
+     * @returns true if route exists
      */
     bool RequestRoute(uint32_t sourceIface,
                       const Mac48Address source,
@@ -100,12 +100,12 @@
     /**
      * Clean HWMP packet tag from packet; only the packet parameter is used
      *
-     * \param fromIface the from interface
-     * \param source the source address
-     * \param destination the destination address
-     * \param packet the packet to route
-     * \param protocolType the protocol type
-     * \returns true if successful
+     * @param fromIface the from interface
+     * @param source the source address
+     * @param destination the destination address
+     * @param packet the packet to route
+     * @param protocolType the protocol type
+     * @returns true if successful
      */
     bool RemoveRoutingStuff(uint32_t fromIface,
                             const Mac48Address source,
@@ -113,9 +113,9 @@
                             Ptr<Packet> packet,
                             uint16_t& protocolType) override;
     /**
-     * \brief Install HWMP on given mesh point.
-     * \param mp the MeshPointDevice
-     * \returns true if successful
+     * @brief Install HWMP on given mesh point.
+     * @param mp the MeshPointDevice
+     * @returns true if successful
      *
      * Installing protocol causes installation of its interface MAC plugins.
      *
@@ -125,21 +125,21 @@
     bool Install(Ptr<MeshPointDevice> mp);
     /**
      * Peer link status function
-     * \param meshPointAddress The MAC address of the mesh point
-     * \param peerAddress The MAC address of the peer
-     * \param interface The interface number
-     * \param status The status of the peer link
+     * @param meshPointAddress The MAC address of the mesh point
+     * @param peerAddress The MAC address of the peer
+     * @param interface The interface number
+     * @param status The status of the peer link
      */
     void PeerLinkStatus(Mac48Address meshPointAddress,
                         Mac48Address peerAddress,
                         uint32_t interface,
                         bool status);
     /**
-     * \brief This callback is used to obtain active neighbours on a given interface
-     * \param cb is a callback, which returns a list of addresses on given interface (uint32_t)
+     * @brief This callback is used to obtain active neighbours on a given interface
+     * @param cb is a callback, which returns a list of addresses on given interface (uint32_t)
      */
     void SetNeighboursCallback(Callback<std::vector<Mac48Address>, uint32_t> cb);
-    /// \name Proactive PREQ mechanism:
+    /// @name Proactive PREQ mechanism:
     ///@{
     /// Set the current node as root
     void SetRoot();
@@ -147,14 +147,14 @@
     void UnsetRoot();
     ///@}
 
-    /// \brief Statistics:
+    /// @brief Statistics:
     ///@{
     /**
      *  Print statistics counters
-     *  \param os the output stream
+     *  @param os the output stream
      */
     void Report(std::ostream& os) const;
-    /// \brief Reset Statistics:
+    /// @brief Reset Statistics:
     void ResetStats();
     ///@}
 
@@ -163,14 +163,14 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
-     * \brief Get pointer to HWMP routing table
-     * \return pointer to routing table
+     * @brief Get pointer to HWMP routing table
+     * @return pointer to routing table
      */
     Ptr<HwmpRtable> GetRoutingTable() const;
 
@@ -181,7 +181,7 @@
     void DoInitialize() override;
 
     /**
-     * \brief Structure of path error: IePerr and list of receivers:
+     * @brief Structure of path error: IePerr and list of receivers:
      * interfaces and MAC address
      */
     struct PathError
@@ -211,14 +211,14 @@
     /**
      * Like RequestRoute, but for unicast packets
      *
-     * \param sourceIface the source interface
-     * \param source the source address
-     * \param destination the destination address
-     * \param packet the packet to route
-     * \param protocolType the protocol type
-     * \param routeReply the route reply callback
-     * \param ttl the TTL
-     * \returns true if forwarded
+     * @param sourceIface the source interface
+     * @param source the source address
+     * @param destination the destination address
+     * @param packet the packet to route
+     * @param protocolType the protocol type
+     * @param routeReply the route reply callback
+     * @param ttl the TTL
+     * @returns true if forwarded
      */
     bool ForwardUnicast(uint32_t sourceIface,
                         const Mac48Address source,
@@ -228,16 +228,16 @@
                         RouteReplyCallback routeReply,
                         uint32_t ttl);
 
-    /// \name Interaction with HWMP MAC plugin
+    /// @name Interaction with HWMP MAC plugin
     ///@{
     /**
-     * \brief Handler for receiving Path Request
+     * @brief Handler for receiving Path Request
      *
-     * \param preq the IE preq
-     * \param from the from address
-     * \param interface the interface
-     * \param fromMp the 'from MP' address
-     * \param metric the metric
+     * @param preq the IE preq
+     * @param from the from address
+     * @param interface the interface
+     * @param fromMp the 'from MP' address
+     * @param metric the metric
      */
     void ReceivePreq(IePreq preq,
                      Mac48Address from,
@@ -245,13 +245,13 @@
                      Mac48Address fromMp,
                      uint32_t metric);
     /**
-     * \brief Handler for receiving Path Reply
+     * @brief Handler for receiving Path Reply
      *
-     * \param prep the IE prep
-     * \param from the from address
-     * \param interface the interface
-     * \param fromMp the 'from MP' address
-     * \param metric the metric
+     * @param prep the IE prep
+     * @param from the from address
+     * @param interface the interface
+     * @param fromMp the 'from MP' address
+     * @param metric the metric
      */
     void ReceivePrep(IePrep prep,
                      Mac48Address from,
@@ -259,27 +259,27 @@
                      Mac48Address fromMp,
                      uint32_t metric);
     /**
-     * \brief Handler for receiving Path Error
+     * @brief Handler for receiving Path Error
      *
-     * \param destinations the list of failed destinations
-     * \param from the from address
-     * \param interface the interface
-     * \param fromMp the from MP address
+     * @param destinations the list of failed destinations
+     * @param from the from address
+     * @param interface the interface
+     * @param fromMp the from MP address
      */
     void ReceivePerr(std::vector<FailedDestination> destinations,
                      Mac48Address from,
                      uint32_t interface,
                      Mac48Address fromMp);
     /**
-     * \brief Send Path Reply
-     * \param src the source address
-     * \param dst the destination address
-     * \param retransmitter the retransmitter address
-     * \param initMetric the initial metric
-     * \param originatorDsn the originator DSN
-     * \param destinationSN the destination DSN
-     * \param lifetime the lifetime
-     * \param interface the interface
+     * @brief Send Path Reply
+     * @param src the source address
+     * @param dst the destination address
+     * @param retransmitter the retransmitter address
+     * @param initMetric the initial metric
+     * @param originatorDsn the originator DSN
+     * @param destinationSN the destination DSN
+     * @param lifetime the lifetime
+     * @param interface the interface
      */
     void SendPrep(Mac48Address src,
                   Mac48Address dst,
@@ -290,28 +290,28 @@
                   uint32_t lifetime,
                   uint32_t interface);
     /**
-     * \brief forms a path error information element when list of destination fails on a given
+     * @brief forms a path error information element when list of destination fails on a given
      * interface \attention removes all entries from routing table!
      *
-     * \param destinations vector of failed destinations
-     * \return PathError
+     * @param destinations vector of failed destinations
+     * @return PathError
      */
     PathError MakePathError(std::vector<FailedDestination> destinations);
     /**
-     * \brief Forwards a received path error
-     * \param perr the path error
+     * @brief Forwards a received path error
+     * @param perr the path error
      */
     void ForwardPathError(PathError perr);
     /**
-     * \brief Passes a self-generated PERR to interface-plugin
-     * \param perr the path error
+     * @brief Passes a self-generated PERR to interface-plugin
+     * @param perr the path error
      */
     void InitiatePathError(PathError perr);
     /**
      * Get PERR receivers
      *
-     * \param failedDest
-     * \return list of addresses where a PERR should be sent to
+     * @param failedDest
+     * @return list of addresses where a PERR should be sent to
      */
     std::vector<std::pair<uint32_t, Mac48Address>> GetPerrReceivers(
         std::vector<FailedDestination> failedDest);
@@ -319,24 +319,24 @@
     /**
      * Get PREQ receivers
      *
-     * \param interface
-     * \return list of addresses where a PREQ should be sent to
+     * @param interface
+     * @return list of addresses where a PREQ should be sent to
      */
     std::vector<Mac48Address> GetPreqReceivers(uint32_t interface);
     /**
      * Get broadcast receivers
      *
-     * \param interface
-     * \return list of addresses where a broadcast should be retransmitted
+     * @param interface
+     * @return list of addresses where a broadcast should be retransmitted
      */
     std::vector<Mac48Address> GetBroadcastReceivers(uint32_t interface);
     /**
-     * \brief MAC-plugin asks whether the frame can be dropped. Protocol automatically updates
+     * @brief MAC-plugin asks whether the frame can be dropped. Protocol automatically updates
      * seqno.
      *
-     * \return true if frame can be dropped
-     * \param seqno is the sequence number of source
-     * \param source is the source address
+     * @return true if frame can be dropped
+     * @param seqno is the sequence number of source
+     * @param source is the source address
      */
     bool DropDataFrame(uint32_t seqno, Mac48Address source);
     ///@}
@@ -352,24 +352,24 @@
     ///@{
     /**
      * Queue a packet
-     * \param packet the packet to be queued
-     * \return true on success
+     * @param packet the packet to be queued
+     * @return true on success
      */
     bool QueuePacket(QueuedPacket packet);
     /**
      * Dequeue the first packet for a given destination
-     * \param dst the destination
-     * \return the dequeued packet
+     * @param dst the destination
+     * @return the dequeued packet
      */
     QueuedPacket DequeueFirstPacketByDst(Mac48Address dst);
     /**
      * Dequeue the first packet in the queue
-     * \return the dequeued packet
+     * @return the dequeued packet
      */
     QueuedPacket DequeueFirstPacket();
     /**
      * Signal the protocol that the reactive path toward a destination is now available
-     * \param dst the destination
+     * @param dst the destination
      */
     void ReactivePathResolved(Mac48Address dst);
     /**
@@ -378,21 +378,21 @@
     void ProactivePathResolved();
     ///@}
 
-    /// \name Methods responsible for path discovery retry procedure:
+    /// @name Methods responsible for path discovery retry procedure:
     ///@{
     /**
-     * \brief checks when the last path discovery procedure was started for a given destination.
-     * \return true if should send PREQ
-     * \param dst is the destination address
+     * @brief checks when the last path discovery procedure was started for a given destination.
+     * @return true if should send PREQ
+     * @param dst is the destination address
      *
      * If the retry counter has not achieved the maximum level - preq should not be sent
      */
     bool ShouldSendPreq(Mac48Address dst);
 
     /**
-     * \brief Generates PREQ retry when retry timeout has expired and route is still unresolved.
-     * \param dst is the destination address
-     * \param numOfRetry is the number of retries
+     * @brief Generates PREQ retry when retry timeout has expired and route is still unresolved.
+     * @param dst is the destination address
+     * @param numOfRetry is the number of retries
      *
      * When PREQ retry has achieved the maximum level - retry mechanism should be canceled
      */
@@ -401,53 +401,53 @@
     void SendProactivePreq();
     ///@}
 
-    /// \return address of MeshPointDevice
+    /// @return address of MeshPointDevice
     Mac48Address GetAddress();
-    /// \name Methods needed by HwmpMacLugin to access protocol parameters:
+    /// @name Methods needed by HwmpMacLugin to access protocol parameters:
     ///@{
     /**
      * Get do flag function
-     * \returns DO flag
+     * @returns DO flag
      */
     bool GetDoFlag() const;
     /**
      * Get rf flag function
-     * \returns the RF flag
+     * @returns the RF flag
      */
     bool GetRfFlag() const;
     /**
      * Get PREQ minimum interval function
-     * \returns the PREQ
+     * @returns the PREQ
      */
     Time GetPreqMinInterval();
     /**
      * Get PERR minimum interval function
-     * \returns the PERR minimum interval
+     * @returns the PERR minimum interval
      */
     Time GetPerrMinInterval();
     /**
      * Get maximum TTL function
-     * \returns the maximum TTL
+     * @returns the maximum TTL
      */
     uint8_t GetMaxTtl() const;
     /**
      * Get next period function
-     * \returns the next period
+     * @returns the next period
      */
     uint32_t GetNextPreqId();
     /**
      * Get next HWMP sequence no function
-     * \returns the next HWMP sequence number
+     * @returns the next HWMP sequence number
      */
     uint32_t GetNextHwmpSeqno();
     /**
      * Get active path lifetime function
-     * \returns the active path lifetime
+     * @returns the active path lifetime
      */
     uint32_t GetActivePathLifetime();
     /**
      * Get unicast PERR threshold function
-     * \returns the unicast PERR threshold
+     * @returns the unicast PERR threshold
      */
     uint8_t GetUnicastPerrThreshold() const;
     ///@}
@@ -468,7 +468,7 @@
 
         /**
          * Print function
-         * \param os The output stream
+         * @param os The output stream
          */
         void Print(std::ostream& os) const;
         /// constructor
@@ -482,7 +482,7 @@
     uint32_t m_dataSeqno;            ///< data sequence no
     uint32_t m_hwmpSeqno;            ///< HWMP sequence no
     uint32_t m_preqId;               ///< PREQ ID
-    /// \name Sequence number filters
+    /// @name Sequence number filters
     ///@{
     /// Data sequence number database
     std::map<Mac48Address, uint32_t> m_lastDataSeqno;
@@ -507,7 +507,7 @@
     /// Packet Queue
     std::vector<QueuedPacket> m_rqueue;
 
-    /// \name HWMP-protocol parameters
+    /// @name HWMP-protocol parameters
     /// These are all Attributes
     ///@{
     uint16_t m_maxQueueSize; //!< Maximum number of packets we can store when resolving route
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/hwmp-protocol-mac.cc ns-3.44/src/mesh/model/dot11s/hwmp-protocol-mac.cc
--- ns-3.43/src/mesh/model/dot11s/hwmp-protocol-mac.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/hwmp-protocol-mac.cc	2025-03-09 16:55:49.635372000 -0700
@@ -66,7 +66,7 @@
     m_stats.rxData++;
     m_stats.rxDataBytes += packet->GetSize();
 
-    /// \todo address extension
+    /// @todo address extension
     Mac48Address destination;
     Mac48Address source;
     switch (meshHdr.GetAddressExt())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/hwmp-protocol-mac.h ns-3.44/src/mesh/model/dot11s/hwmp-protocol-mac.h
--- ns-3.43/src/mesh/model/dot11s/hwmp-protocol-mac.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/hwmp-protocol-mac.h	2025-03-09 16:55:49.635372000 -0700
@@ -27,9 +27,9 @@
 class IePerr;
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Interface MAC plugin for HWMP -- 802.11s routing protocol
+ * @brief Interface MAC plugin for HWMP -- 802.11s routing protocol
  */
 class HwmpProtocolMac : public MeshWifiInterfaceMacPlugin
 {
@@ -37,8 +37,8 @@
     /**
      * Constructor
      *
-     * \param ifIndex interface index
-     * \param protocol pointer to HWMP protocol instance
+     * @param ifIndex interface index
+     * @param protocol pointer to HWMP protocol instance
      */
     HwmpProtocolMac(uint32_t ifIndex, Ptr<HwmpProtocol> protocol);
     ~HwmpProtocolMac() override;
@@ -50,55 +50,59 @@
                               WifiMacHeader& header,
                               Mac48Address from,
                               Mac48Address to) override;
+
     // Update beacon is empty, because HWMP does not know anything about beacons
-    void UpdateBeacon(MeshWifiBeacon& beacon) const override{};
+    void UpdateBeacon(MeshWifiBeacon& beacon) const override
+    {
+    }
+
     int64_t AssignStreams(int64_t stream) override;
 
   private:
     /// allow HwmpProtocol class friend access
     friend class HwmpProtocol;
     /**
-     * \returns a path selection action header
+     * @returns a path selection action header
      */
     static WifiActionHeader GetWifiActionHeader();
-    /// \name Interaction with HWMP:
+    /// @name Interaction with HWMP:
     ///@{
     /**
      * Send PREQ function
-     * \param preq the PREQ
+     * @param preq the PREQ
      */
     void SendPreq(IePreq preq);
     /**
      * Send PREQ function for vector of PREQ
-     * \param preq vector of PREQ information elements
+     * @param preq vector of PREQ information elements
      */
     void SendPreqVector(std::vector<IePreq> preq);
     /**
      * Send PREP function
-     * \param prep the PREP information element
-     * \param receiver the MAC address of the receiver
+     * @param prep the PREP information element
+     * @param receiver the MAC address of the receiver
      */
     void SendPrep(IePrep prep, Mac48Address receiver);
     /**
      * Forward a path error
-     * \param destinations vector of failed destinations
-     * \param receivers vector of receivers
+     * @param destinations vector of failed destinations
+     * @param receivers vector of receivers
      */
     void ForwardPerr(std::vector<HwmpProtocol::FailedDestination> destinations,
                      std::vector<Mac48Address> receivers);
     /**
      * initiate my own path error
-     * \param destinations vector of failed destinations
-     * \param receivers vector of receivers
+     * @param destinations vector of failed destinations
+     * @param receivers vector of receivers
      */
     void InitiatePerr(std::vector<HwmpProtocol::FailedDestination> destinations,
                       std::vector<Mac48Address> receivers);
     /**
      * Request a destination. If cannot send PREQ immediately, add a
      * destination to existing PREQ generated by me and stored in PREQ queue
-     * \param dest is the destination to be resolved
-     * \param originator_seqno is a sequence number that shall be preq originator sequenece number
-     * \param dst_seqno is a sequence number taken from routing table
+     * @param dest is the destination to be resolved
+     * @param originator_seqno is a sequence number that shall be preq originator sequenece number
+     * @param dst_seqno is a sequence number taken from routing table
      */
     void RequestDestination(Mac48Address dest, uint32_t originator_seqno, uint32_t dst_seqno);
     ///@}
@@ -109,18 +113,18 @@
     /// Send PERR function
     void SendMyPerr();
     /**
-     * \param peerAddress peer address
-     * \return metric to HWMP protocol, needed only by metrics to add peer as routing entry
+     * @param peerAddress peer address
+     * @return metric to HWMP protocol, needed only by metrics to add peer as routing entry
      */
     uint32_t GetLinkMetric(Mac48Address peerAddress) const;
     /**
      * Get the channel ID
-     * \returns the channel ID
+     * @returns the channel ID
      */
     uint16_t GetChannelId() const;
     /**
      * Report statistics
-     * \param os The output stream on which to report
+     * @param os The output stream on which to report
      */
     void Report(std::ostream& os) const;
     /// Reset statistics
@@ -131,13 +135,13 @@
     uint32_t m_ifIndex;                 ///< IF index
     Ptr<HwmpProtocol> m_protocol;       ///< protocol
 
-    /// \name my PREQ and PREQ timer:
+    /// @name my PREQ and PREQ timer:
     ///@{
     EventId m_preqTimer;          //!< Timer for PREQs
     std::vector<IePreq> m_myPreq; //!< container of PREQs
     ///@}
 
-    /// \name PERR timer and stored path error
+    /// @name PERR timer and stored path error
     ///@{
     EventId m_perrTimer;
 
@@ -152,7 +156,7 @@
 
     ///@}
 
-    /// \name Statistics
+    /// @name Statistics
     ///@{
 
     /**
@@ -176,7 +180,7 @@
         uint32_t rxDataBytes; ///< receive data bytes
         /**
          * Print function
-         * \param os the output stream
+         * @param os the output stream
          */
         void Print(std::ostream& os) const;
         Statistics();
@@ -189,17 +193,17 @@
     /**
      * Receive data frame
      *
-     * \param packet
-     * \param header
-     * \returns true if a packet was received
+     * @param packet
+     * @param header
+     * @returns true if a packet was received
      */
     bool ReceiveData(Ptr<Packet> packet, const WifiMacHeader& header);
     /**
      * Receive action management frame
      *
-     * \param packet
-     * \param header
-     * \returns true if a packet was received
+     * @param packet
+     * @param header
+     * @returns true if a packet was received
      */
     bool ReceiveAction(Ptr<Packet> packet, const WifiMacHeader& header);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/hwmp-rtable.cc ns-3.44/src/mesh/model/dot11s/hwmp-rtable.cc
--- ns-3.43/src/mesh/model/dot11s/hwmp-rtable.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/hwmp-rtable.cc	2025-03-09 16:55:49.635372000 -0700
@@ -166,7 +166,7 @@
     {
         return LookupResult();
     }
-    if ((i->second.whenExpire < Simulator::Now()) && (i->second.whenExpire != Seconds(0)))
+    if ((i->second.whenExpire < Simulator::Now()) && (!i->second.whenExpire.IsZero()))
     {
         NS_LOG_DEBUG("Reactive route has expired, sorry.");
         return LookupResult();
